package szereplo;
public class Celkereso extends Cel {
    public Celkereso celkereses(int[][] terkep, Celkereso legtavolabbiPont) {
        while(eloreSzabad(terkep)) {
            elore(terkep);
            if(balraSzabad(terkep)) {
                Celkereso celkereso=new Celkereso(this);
                celkereso.balra();
                legtavolabbiPont.athelyez(celkereso.celkereses(terkep,legtavolabbiPont));
            }
            if(jobbraSzabad(terkep)) {
                Celkereso celkereso=new Celkereso(this);
                celkereso.jobbra();
                legtavolabbiPont.athelyez(celkereso.celkereses(terkep,legtavolabbiPont));
            }
        }
        if(legtavolabbiPont.lepes>lepes) return legtavolabbiPont;
        return this;
    }
    public Celkereso(SzilardMozgoSzereplo sms) {
        super(sms);
        lepes=sms.getLepes();
    }
}
